#! /bin/csh
# ###########################################################################
#
# Author   BIGI Brigitte
# File     sample-en.csh
# Language English-iso8859-1
# Date     13 aout 2008
#
# Input  : ASCII
# Output : XML
#
# ###########################################################################
if ($#argv != 1) then
        # Bip, print usage and exit
        printf '\a'
        echo "Usage: " `basename $0` " <html file>" > "/dev/stderr"
        exit 1
endif
# ###########################################################################

set example = `echo $1 | sed -e "s/\.html//"`


echo "1. HTML2Text"
cat $1 | $CTTK/bin/HTMLClean.csh | $CTTK/bin/Html2Text.awk > $example.1

echo "2. Text2XML"
# the -l FR option is not a mistake. At this stage, FR and EN uses the same rules.
cat $example.1 | $CTTK/bin/Text2XML.awk -l FR -e iso-8859-1 > $example.2

echo "3. SplitOrig2Wd"
cat $example.2 | $CTTK/bin/SplitOrig2Wd.awk > $example.3

echo "4. Replace"
cat $example.3 | $CTTK/bin/Replace.awk -V $CTTK/dico/Replace-en.dico -l EN > $example.4
 
echo "5. Tokenize"
cat $example.4 | $CTTK/bin/Tokenize.awk -l EN -V $CTTK/dico/Lexique-en.vocab > $example.5

echo "6. Stick"
cat $example.5 | $CTTK/bin/Stick.awk -V $CTTK/dico/Phrases-en.vocab -a "_" -s 6 > $example.6

echo "7. Num2Letter"
cat $example.6 | $CTTK/bin/Num2LetterEN.awk  > $example.7

echo "8. Lower"
cat $example.7 | $CTTK/bin/Lower.awk -V $CTTK/dico/UpperLower-fr.dico > $example.8

echo "9. Remove"
cat $example.8 | $CTTK/bin/Remove.awk -V $CTTK/dico/Punct.vocab -w > $example.xml


