#! /usr/bin/gawk -f

# ######################################################################### #
#                                                                           #
# Function Name: FCT_CommandLine                                            #
#                                                                           #
# Description: Gets arguments from the command line                         #
#                                                                           #
# ######################################################################### #
function FCT_CommandLine(ARGC, ARGV)
{
        for (i=1; i<ARGC; i++)
        {
                if (ARGV[i] == "-h")
                        FCT_Usage()
                else
                if (ARGV[i] == "-o")
                {
                        Output = ARGV[i+1]
                        i++
                }
                else
                if (ARGV[i] == "-p")
                {
                        partition = ARGV[i+1]
                        i++
                }
                else
                if (ARGV[i] ~ /^\-/)
                {
                        printf "invalid option -- %s\n", ARGV[i] > "/dev/stderr"
                        FCT_Usage()
                }
                else
                        break
        }
        delete ARGV
        ARGC=1
}


BEGIN {
	Output="/dev/null"
	partition="sentence"
	inside=0	# booleen : a l'interieur d'une partition ?
	number=0	# nombre de partitions
	NbWords=0	# nombre de formes
	NbOcc=0		# nombre d'occurrences
	FCT_CommandLine(ARGC, ARGV)

	if (partition=="document") 
	{
		STag="<doc"
		ETag="</doc>"
	}
	else
	{
		STag="<sent"
		ETag="</sent>"
	}
}


{
	# Debut de partition
	if (match($0,STag) != 0 )
	{
		inside=1
		number++
		next
	}

	# Fin de partition
	if (match($0,ETag) != 0 )
	{
		inside=0
		print number, NbOcc, NbWords > Output
		next
	}


	# Nouveau mot
	if ((match($0,/<str>/)!=0) && (inside==1))
	{
		s = index($0, ">")                              # start: 1st >
		e = index(substr($0, s+1, length($0)), "<")     # end: 1st < after start
		w = substr($0, s+1, e-1)                        # word: $0 from start to end
		gsub(/ /, "", w)                                # remove spaces

		if (w in TAB_Words)
			TAB_Words[w]++
		else
		{
			TAB_Words[w]=1
			NbWords++
		}
		NbOcc++
	}
}

END {
        # sort tab and print on stdout
        sort = "sort -k 2 -nr"
        for (w in TAB_Words)
                print w, TAB_Words[w] | sort
        close(sort)
}

