#!/bin/tcsh
# ##################################################################### #
# 									#
# File:    Textometrie.csh						#
# Author:  Brigitte Bigi						#
# Date:    March, 2008							#
# Licence: GPL								#
# 									#
# ##################################################################### #
setenv LC_ALL fr_FR.ISO-8859-1


# Dfinitions des donnes d'entre
# ################################

# 1. Niveau de partitionnement
set partition=`zenity --title "Textomtrie" --list --text "Niveau de partitionnement du corpus" --radiolist --column "Cliquez-ici" --column "Partitionnement" FALSE document TRUE phrase`

# 2. Nom du fichier du corpus
set filename=`zenity --title "Textomtrie" --text "Slectionner le corpus XML de travail" --file-selection`

# Estimations
# ################################

setenv LC_ALL C
cat $filename | $CTTK/scripts/Textometrie.awk -p $partition -o /tmp/accroissement.txt > "/tmp/file.counts" 
iconv -f iso8859-1 -t utf8 /tmp/file.counts > /tmp/file-utf8.counts 
setenv LC_ALL fr_FR.ISO-8859-1


# Extraction des rsultats
# ################################

set Nbocc    = `cat       /tmp/file-utf8.counts | awk 'BEGIN{sum=0} {sum+=$2} END{print sum}'`
set NbFormes = `wc -l     /tmp/file-utf8.counts | awk '{print $1}'`
set Fmax     = `head -n 1 /tmp/file-utf8.counts | awk '{print $2}'`
set Wmax     = `head -n 1 /tmp/file-utf8.counts | awk '{print $1}'`

# Affichages
# ################################

# Principales caracteristiques
zenity --title "Textomtrie" --text "Principales caractristiques" --list --column $filename  "Nombre d'occurrences : $Nbocc" "Nombre de formes : $NbFormes" "F-max : $Fmax" "Mot max : $Wmax"

# Accroissement du vocabulaire de chaque partition du corpus
rm /tmp/accroissement.gp
echo "set data style linespoints" >> /tmp/accroissement.gp
echo "set xlabel 'Position dans le texte'" >> /tmp/accroissement.gp
echo "set ylabel 'Nombre de formes diffrentes'" >> /tmp/accroissement.gp
echo "set key title 'Lgende :' bottom" >> /tmp/accroissement.gp
echo "plot '/tmp/accroissement.txt' using 2:3 title 'Accroissement du vocabulaire'" >> /tmp/accroissement.gp
echo "pause -1" >> /tmp/accroissement.gp

gnuplot /tmp/accroissement.gp


# Menage !
# ################################
setenv LC_ALL C
rm /tmp/accroissement.gp /tmp/accroissement.txt
rm /tmp/file.counts /tmp/file-utf8.counts  

